package com.phlx.wool.ui.cattle.vm;

import android.app.Application;

import androidx.annotation.NonNull;
import androidx.databinding.ObservableField;

import com.phlx.wool.data.Repository;
import com.phlx.wool.entity.CattleLabelEntity;
import com.phlx.wool.ui.base.BackBarVM;
import com.phlx.wool.ui.cattle.activity.CattleMarkActivity;
import com.phlx.wool.ui.cattle.activity.CattleUploadActivity;

import java.util.Observable;

import me.goldze.mvvmhabit.binding.command.BindingAction;
import me.goldze.mvvmhabit.binding.command.BindingCommand;

public class CattleMainVM extends BackBarVM<Repository> {

    public CattleMainVM(@NonNull Application application, Repository model) {
        super(application, model);
    }


    /**
     * 打标
     */
    public BindingCommand onLabelClickCommand = new BindingCommand(new BindingAction() {
        @Override
        public void call() {
            startActivity(CattleMarkActivity.class);
        }
    });

    /**
     * 上传
     */
    public BindingCommand onUploadClickCommand = new BindingCommand(new BindingAction() {
        @Override
        public void call() {
            startActivity(CattleUploadActivity.class);
        }
    });
}
